Skip to main content
`Ctrl`+`K`

# PetscExpReal

Returns the natural exponential \(e^a\) of a `PetscReal` value

## Synopsis

    #include <petscmath.h>
    PetscReal PetscExpReal(PetscReal a)

Not Collective; No Fortran Support

## Input Parameter

. a - the value

## See Also

`PetscReal`, `PetscScalar`, `PetscComplex`, `PetscExpComplex()`, `PetscExpScalar()`

## Level

beginner

## Location

include/petscmath.h

## Examples

src/ts/utils/dmplexlandau/tutorials/ex2.c
src/ts/tutorials/ex51.c
src/snes/tutorials/ex5.c
src/snes/tutorials/ex55.c
src/ts/tutorials/ex53.c

Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages